## mythtv 34.0+fixes.20241130.83f01662

=== debian/changelog ===
mythtv (2:34.0+fixes.20241130.83f01662-0ubuntu0) bookworm; urgency=medium

  * Scripted Build from fixes git packaging [83f01662]
  * New upstream checkout (83f01662)

 -- andy <andy@thor>  Sat, 30 Nov 2024 20:59:00 -0500

mythtv (2:34.0+fixes) mantic; urgency=medium

  * Dummy entry to bump version to fixes/34

 -- Roland Ernst <rcrernst@gmail.com>  Tue, 13 Feb 2024 21:15:49 +0100

=== debian/control ===
Source: mythtv
Section: graphics
Priority: optional
Maintainer: MythTV Ubuntu Maintainers <ubuntu-mythtv@lists.ubuntu.com>
Uploaders:
 Mario Limonciello <superm1@ubuntu.com>,
 Andres Mejia <amejia@debian.org>,
Homepage: http://www.mythtv.org
Standards-Version: 3.9.4
Vcs-Git: git://github.com/MythTV/packaging.git
Build-Conflicts:
 libqt3-mt-dev,
Build-Depends:
 ccache,
 debhelper (>= 10),
 default-libmysqlclient-dev | libmysqlclient-dev,
 dh-python,
 fftw-dev,
 git,
 help2man,
 libasound2-dev,
 libass-dev,
 libavahi-compat-libdnssd-dev,
 libavc1394-dev,
 libbluray-dev,
 libcdaudio-dev,
 libcdio-cdda-dev,
 libcdio-dev,
 libcdio-paranoia-dev,
 libcdparanoia-dev | libcdparanoia0-dev,
 libcec-dev,
 libclass-dbi-perl,
 libcoverart-dev,
 libdate-manip-perl,
 libdatetime-format-iso8601-perl,
 libdbd-mysql-perl,
 libdiscid-dev,
 libdrm-dev,
 libdvdnav-dev,
 libdvdread-dev | libdvdread3-dev,
 libexif-dev (>= 0.6.9-6),
 libexiv2-dev,
 libfaad-dev | libfaad2-dev,
 libfftw3-dev,
 libflac-dev,
 libfreetype6-dev,
 libgl1-mesa-dev | xlibmesa-gl-dev | xlibmesa-dev | libgl-dev,
 libgnutls28-dev,
 libhdhomerun-dev,
 libiec61883-dev,
 libimage-size-perl,
 libimlib2-dev,
 libio-socket-inet6-perl,
 libjson-perl,
 liblircclient-dev | liblirc-dev,
 liblzo2-dev,
 libmad0-dev,
 libmp3lame-dev | liblame-dev,
 libmusicbrainz5-dev,
 libnet-upnp-perl,
 libpulse-dev,
 libqt5opengl5-dev,
 libqt5webkit5-dev,
 libraspberrypi-dev [armhf],
 libsamplerate0-dev,
 libsoap-lite-perl,
 libsoundtouch-dev,
 libssl-dev,
 libsystemd-dev,
 libtag1-dev,
 libtiff5-dev | libtiff4-dev | libtiff-dev,
 libudev-dev,
 libva-dev,
 libvdpau-dev | nvidia-190-libvdpau-dev [i386 amd64] | nvidia-185-libvdpau-dev [i386 amd64] | nvidia-180-libvdpau-dev [i386 amd64],
 libvisual-0.4-dev,
 libvorbis-dev,
 libvpx-dev,
 libwww-perl,
 libx264-dev,
 libxcb-shm0-dev,
 libxext-dev | xlibs-static-dev (<< 6.8.1-1),
 libxinerama-dev | xlibs-static-dev (<< 6.8.1-1),
 libxml-simple-perl,
 libxml-xpath-perl,
 libxml2-dev,
 libxnvctrl-dev,
 libxrandr-dev,
 libxv-dev,
 libxvmc-dev | xlibs-static-dev (<< 6.8.1-1),
 libxxf86vm-dev | xlibs-static-dev (<< 6.8.1-1),
 libzip-dev,
 linux-kernel-headers | linux-headers-generic,
 lsb-release,
 nasm,
 po-debconf,
 python3,
 python3-lxml,
 python3-mysqldb,
 python3-pip,
 python3-requests,
 python3-setuptools,
 qt5-qmake,
 qtdeclarative5-dev,
 qtscript5-dev,
 quilt,
 uuid-dev,

Package: mythtv
Architecture: all
Depends:
 default-mysql-server | virtual-mysql-server | mysql-server-5.7 | mysql-server-5.6 | mariadb-server,
 mythtv-backend,
 mythtv-database,
 mythtv-frontend,
 ntp | time-daemon | ntp-simple,
 ${misc:Depends},
Suggests:
 mythtv-doc,
Description: Personal video recorder application (client and server)
 MythTV implements the following PVR features, and more, with a
 unified graphical interface:
 .
  - Basic 'live-tv' functionality. Pause/Fast Forward/Rewind "live" TV.
  - Video compression using RTjpeg or MPEG-4
  - Program listing retrieval using XMLTV
  - Themable, semi-transparent on-screen display
  - Electronic program guide
  - Scheduled recording of TV programs
  - Resolution of conflicts between scheduled recordings
  - Basic video editing
 .
 http://www.mythtv.org/
 .
 This package will install a complete MythTV client/server environment on a
 single system.  If you are intended on using this as your only MythTV machine,
 and this machine is already configured as a desktop, this package will get you
 up and running switfly.
 .
 If you are intended on installing this on a standalone/non-desktop machine,
 you should look into the Metapackages available:
 mythtv-backend-master (backend with a local database)
 mythtv-backend (backend needing a remote database)

Package: mythtv-common
Architecture: amd64 arm64
Pre-Depends:
 pwgen,
Depends:
 adduser,
 default-mysql-client | virtual-mysql-client | mysql-client-5.7 | mysql-client-5.6 | mariadb-client,
 fonts-dejavu,
 fonts-droid-fallback | fonts-droid | ttf-droid,
 fonts-liberation | ttf-liberation,
 fonts-texgyre | tex-gyre,
 fonts-tlwg-purisa,
 libgnutls30,
 libxml-xpath-perl,
 pciutils,
 python3,
 python3-lxml,
 python3-mysqldb,
 python3-requests,
 python3-requests-cache,
 usbutils,
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Suggests:
 mythtv-doc,
Conflicts:
 mythcontrols,
 mythmusic (<< 0.20.99+trunk14393),
 mythtv (<< 0.8-1),
 mythtv-theme-blootube,
 mythtv-theme-blootube-wide,
 mythtv-theme-blootubelite-wide,
 mythtv-theme-childish,
 mythtv-theme-glass-wide,
 mythtv-theme-gray-osd,
 mythtv-theme-isthmus,
 mythtv-theme-iulius,
 mythtv-theme-metallurgy,
 mythtv-theme-minimalist-wide,
 mythtv-theme-mythcenter,
 mythtv-theme-mythcenter-wide,
 mythtv-theme-neon-wide,
 mythtv-theme-proejctgrayhem-wide,
 mythtv-theme-projectgrayhem,
 mythtv-theme-retro,
 mythtv-theme-titivillus,
 mythtv-themes,
 mythweather (<< 0.20.99+trunk14393),
Replaces:
 mythcontrols,
 mythcontrols (<< 0.20.trunk19500),
 mythmusic (<< 0.20.99+trunk14393),
 mythtv (<< 0.8-1),
 mythtv-backend (<< 2:0.28.0~master.20150106.b8b9a1e-0ubuntu0mythbuntu4),
 mythtv-database (<< 0.24.0~trunk25638),
 mythtv-frontend (<< 0.23.0~trunk23548),
 mythtv-frontend (<< 2:0.28.0+fixes.20161010.38d9ba2-0ubuntu0mythbuntu4),
 mythtv-theme-gray-osd,
 mythtv-theme-isthmus,
 mythtv-theme-mythcenter,
 mythtv-theme-mythcenter-wide,
 mythvideo,
 mythweather (<< 0.20.99+trunk14393),
Breaks:
 mythtv-backend (<< 2:0.28.0~master.20150106.b8b9a1e-0ubuntu0mythbuntu4),
 mythtv-frontend (<< 2:0.28.0+fixes.20161010.38d9ba2-0ubuntu0mythbuntu4),
 mythvideo,
Description: Personal video recorder application (common data)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains infrastructure needed by both the client and the
 server.

Package: mythtv-doc
Architecture: all
Conflicts:
 mythtv (<< 0.8-1),
Section: doc
Replaces:
 mythtv (<< 0.8-1),
Depends:
 ${misc:Depends},
Description: Personal video recorder application (documentation)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains documentation, including the MythTV HOWTO.

Package: mythtv-database
Architecture: all
Depends:
 cron,
 default-mysql-client | virtual-mysql-client | mysql-client-5.7 | mysql-client-5.6 | mariadb-client,
 libdbd-mysql-perl,
 mythtv-common,
 ${misc:Depends},
Recommends:
 update-notifier | update-notifier-kde,
Conflicts:
 mythtv (<< 0.8-1),
 mythtv-common (<< 0.8-2),
Replaces:
 mythtv (<< 0.8-1),
 mythtv-common (<< 0.8-2),
Description: Personal video recorder application (database)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package sets up a MySQL database for use by MythTV. It should be
 installed on the system where the MySQL server resides.

Package: mythtv-backend
Architecture: amd64 arm64
Depends:
 cron,
 libjs-jquery,
 libxml-simple-perl,
 mythtv-common,
 mythtv-transcode-utils,
 python3,
 wget,
 xterm,
 zenity | kdebase-bin,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 mythtv (<< 0.8-1),
Replaces:
 mythtv (<< 0.8-1),
 mythtv-frontend (<= 0.20-0.4),
Recommends:
 hdhomerun-config,
 libmyth-python,
 libmythtv-perl,
 logrotate,
 ntp | time-daemon | ntp-simple,
Suggests:
 mythtv-database,
 mythtv-frontend,
 mythweb,
 xmltv-util,
Description: Personal video recorder application (server)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains only the server software, which provides video and
 audio capture and encoding services. In order to be useful, it requires a
 mythtv-frontend installation, either on the same system or one reachable
 via the network.
 .
 A database is also required. The mythtv-database package must be installed,
 either on the same system, or one reachable via the network.
 .
 For a complete installation of all MythTV components, install the 'mythtv'
 package.

Package: mythtv-transcode-utils
Architecture: amd64 arm64
Depends:
 mythtv-common,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 mythtv-backend (<< 0.20.2-0ubuntu1),
Replaces:
 mythtv-backend (<< 0.20.2-0ubuntu1),
Suggests:
 mytharchive,
 mythtv-backend,
Description: Utilities used for transcoding MythTV tasks
 Some utilities are applicable for both a frontend or a backend machine.
 This package provides utilities that can be used on both without
 requiring an entire backend to be installed.

Package: mythtv-frontend
Architecture: amd64 arm64
Depends:
 adduser,
 libegl1-mesa-dev [armhf],
 libgles2-mesa-dev [armhf],
 libmyth-python,
 libnotify-bin,
 libwww-perl,
 libxml-simple-perl,
 mythtv-common,
 python3,
 wmctrl,
 zenity | kdebase-bin,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 libmythtv-perl,
 python3-pil,
 udisks2 | udisks,
Suggests:
 mythgame,
 mythmusic,
 mythtv-backend,
 mythweather,
 ntp | time-daemon | ntp-simple,
Conflicts:
 mythappearance (<< 0.21.0),
 mythflix (<< 0.23.0),
 mythstream (<< 0.21.0),
 mythtv (<< 0.8-1),
Replaces:
 mythappearance (<< 0.21.0),
 mythtv (<< 0.8-1),
 mythvideo,
Breaks:
 mythvideo,
Description: Personal video recorder application (client)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains only the client software, which provides a front-end
 for playback and configuration. It requires access to a mythtv-backend
 installation, either on the same system or one reachable via the network.
 .
 A database is also required. The mythtv-database package must be installed,
 either on the same system, or one reachable via the network.
 .
 For a complete installation of all MythTV components, install the 'mythtv'
 package.

Package: libmyth
Architecture: amd64 arm64
Section: libs
Depends:
 libqt5sql5-mysql,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 libmyth-0.23-0,
 libmyth-0.24-0,
 libmyth-0.25-0,
 libmyth-0.26-0,
 libmyth-0.27-0,
 libmyth-0.28-0,
 libmyth-0.29-0,
 libmyth-29-0,
 mythtv (<< 0.7-5),
Replaces:
 libmyth-0.23-0,
 libmyth-0.24-0,
 libmyth-0.25-0,
 libmyth-0.26-0,
 libmyth-0.27-0,
 libmyth-0.28-0,
 libmyth-0.29-0,
 libmyth-29-0,
 mythtv (<< 0.7-5),
Description: Common library code for MythTV and add-on modules (runtime)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains a shared library, libmyth, which is used by various
 components in the system.

Package: libmyth-dev
Architecture: amd64 arm64
Section: libdevel
Depends:
 libmyth (= ${binary:Version}),
 ${misc:Depends},
Conflicts:
 libmyth-0.23-0-dev,
 libmyth-0.24-0-dev,
 libmyth-0.25-0-dev,
 libmyth-0.26-0-dev,
 libmyth-0.27-0-dev,
 libmyth-0.28-0-dev,
 libmyth-0.29-0-dev,
 libmyth-29-0-dev,
Replaces:
 libmyth-0.23-0-dev,
 libmyth-0.24-0-dev,
 libmyth-0.25-0-dev,
 libmyth-0.26-0-dev,
 libmyth-0.27-0-dev,
 libmyth-0.28-0-dev,
 libmyth-0.29-0-dev,
 libmyth-29-0-dev,
Description: Common library code for MythTV and add-on modules (development)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains files needed for developing applications which use
 libmyth (such as the various add-ons for MythTV)

Package: php-mythtv
Architecture: all
Depends:
 ${misc:Depends},
Description: PHP Bindings for MythTV
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains files needed for using PHP based applications that
 connect to MythTV backends.

Package: libmythtv-perl
Architecture: all
Section: perl
Depends:
 libdbd-mysql-perl,
 libdbi-perl,

## mythtv 35.0%2Bfixes.20250302.f3f012aa3f

=== CMakeLists.txt ===
#
# Copyright (C) 2022-2023 David Hampton
#
# See the file LICENSE_FSF for licensing information.
#

#
# Set minimum required cmake version
#
# ~~~
# Supported CMake versions (as of 2023-10-25):
#   Ubuntu 20.04: 3.16.3 (not a target, 22.04 has 3.22.1)
#   Debian 11:    3.18.4 (12 has 3.25.1)
#   Centos 8/9:   3.20.2
#   RHEL 8/9:     3.20.2
#   SuSE 15.4:    3.20.4
#   Others:       3.22 or better
#
# Can use cmake features introduced in 3.16.
#
# Presets were introduced in 3.19 and would be helpful for wrangling
# compiler options.  3.19 also allows spaces in the names of tests.
# ~~~
cmake_minimum_required(VERSION 3.20)

#
# Where to find additional modules
#
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

#
# Require the C++17 standard, and allow compiler extensions.
#
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS ON)

#
# Set CMake features
#
include(SetCmakePolicies NO_POLICY_SCOPE)

#
# Determine which cmake variables came from the command line.
#
# This MUST be done before the call to 'project'.
#
get_cmake_property(vars CACHE_VARIABLES)
foreach(var IN LISTS vars)
  get_property(
    currentHelpString
    CACHE "${var}"
    PROPERTY HELPSTRING)
  if("${currentHelpString}" MATCHES
     "No help, variable specified on the command line.")
    list(APPEND CMDLINE_ARGS "-D${var}=${${var}}")
    # message("${var} = [${${var}}]  --  ${currentHelpString}")
  endif()
endforeach()

# Collapse all the various ways of specifying an android build down into a
# single flag.
if(ARM64
   OR SDK
   OR CMAKE_ANDROID_ARCH_ABI)
  set(ANDROID ON)
endif()

#
# Copied from cmake/Modules/CMakeGenericSystem.cmake.  That module isn't
# included on windows builds, and we need this variable set properly.
#
if(NOT DEFINED CMAKE_INSTALL_PREFIX)
  set(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT 1)
endif()

#
# Read user options (part 1).  On android, several of these options affect the
# initialization performed by the project function.
#
message(STATUS "Including default MythTV options")
include(MythOptions)
message(STATUS "Including user overrides ${MYTH_USER_OVERRIDES1}")
include(${MYTH_USER_OVERRIDES1} OPTIONAL)

#
# Initial platform customization before declaring project. (CMAKE_CROSSCOMPILING
# isn't set yet. Nor is ANDROID or WIN32. The former is set by the call to
# project, and the latter two are set by the next two includes.)
#
include(platform/AndroidCrossEarlyInitialization)
include(platform/WindowsCrossEarlyInitialization)

#
# Declare the superbuild.
#
# This is where the all the android toolchain bits get pulled in.
#
project(
  MythTV-SuperBuild
  VERSION 35.0.0
  DESCRIPTION
    "MythTV is a Free Open Source software digital video recorder (DVR) project."
  HOMEPAGE_URL https://www.mythtv.org
  LANGUAGES C CXX)
include(VersionInformation)

message(
  STATUS "Building on ${CMAKE_HOST_SYSTEM_PROCESSOR} ${CMAKE_HOST_SYSTEM_NAME}")
message(STATUS "Building for ${CMAKE_SYSTEM_PROCESSOR} ${CMAKE_SYSTEM_NAME}")

# Get the mythtv default install path
if(CMAKE_CROSSCOMPILING)
  set(_CROSS "Cross")
endif()
include(platform/${CMAKE_SYSTEM_NAME}${_CROSS}DefaultPrefix OPTIONAL)

#
# Read user options (part 2)
#
message(STATUS "Including user overrides ${MYTH_USER_OVERRIDES2}")
include(${MYTH_USER_OVERRIDES2} OPTIONAL)

#
# Validate build system and build location.
#
include(platform/${CMAKE_SYSTEM_NAME}${_CROSS}ValidateBuildSystem OPTIONAL)
if(PROJECT_BINARY_DIR STREQUAL PROJECT_SOURCE_DIR)
  message(FATAL_ERROR "You may not compile in the source directory.")
endif()
if(NOT TARBALL_DIR)
  set(TARBALL_DIR "${PROJECT_SOURCE_DIR}/tarballs")
endif()
if(NOT JAVA_HOME)
  # Java home hasn't already been set by one of the platform build system
  # validations.
  #
  # (Have to put an environment variable in real variable to test it.)
  set(_TMP_ENV $ENV{JAVA_HOME})
  if(_TMP_ENV)
    message(STATUS "Using java from environment: ${_TMP_ENV}")
    set(JAVA_HOME ${_TMP_ENV})
  elseif(MYTH_JAVA_HOME)
    message(STATUS "Using java from options: ${MYTH_JAVA_HOME}")
    set(JAVA_HOME ${MYTH_JAVA_HOME})
  else()
    message(STATUS "Using java from system path")
  endif()
endif()

#
# FFmpeg doesn't support compiling out-of-tree after compiling in-tree. Catch
# this early and print an error message.
#
if(EXISTS ${PROJECT_SOURCE_DIR}/mythtv/external/FFmpeg/config.h)
  message(
    FATAL_ERROR
      "Detecting build artifacts in the source tree. You must clean the source directory before running cmake."
  )
endif()

#
# If the user didn't specify CMAKE_INSTALL_PREFIX on the command line, use the
# mythtv or user default value.
#
if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT AND NOT MYTH_DEFAULT_PREFIX
                                                   STREQUAL "")
  set(CMAKE_INSTALL_PREFIX ${MYTH_DEFAULT_PREFIX})
endif()
if(NOT DEFINED CMAKE_INSTALL_PREFIX OR CMAKE_INSTALL_PREFIX STREQUAL "")
  message(FATAL_ERROR "The CMAKE_INSTALL_PREFIX variable is undefined.")
endif()
if(CMAKE_CROSSCOMPILING AND CMAKE_INSTALL_PREFIX STREQUAL "/usr/local")
  message(
    FATAL_ERROR "CMAKE_INSTALL_PREFIX is /usr/local while cross compiling.")
endif()

#
# If the user didn't specify LIBS_INSTALL_PREFIX on the command line, use the
# mythtv default value.
#
if(NOT DEFINED LIBS_INSTALL_PREFIX OR LIBS_INSTALL_PREFIX STREQUAL "")
  if(NOT MYTH_DEFAULT_LIBS_PREFIX STREQUAL "")
    set(LIBS_INSTALL_PREFIX ${MYTH_DEFAULT_LIBS_PREFIX})
  else()
    set(LIBS_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX})
  endif()
endif()

# Make sure these changes propagate to rebuilds.
set(CMAKE_INSTALL_PREFIX
    ${CMAKE_INSTALL_PREFIX}
    CACHE PATH "" FORCE)
set(LIBS_INSTALL_PREFIX
    ${LIBS_INSTALL_PREFIX}
    CACHE PATH "" FORCE)

#
# Inject code from cmake provided modules. GNUInstallDirs uses
# CMAKE_INSTALL_PREFIX so make sure that's set properly first.
#
include(ExternalProject)
include(FindPkgConfig)
include(GNUInstallDirs)
include(ProcessorCount)

#
# Inject code from mythtv provided modules
#
include(GetLinuxInfo)

#
# Test for required minimum compiler versions.
#
if(CMAKE_CXX_COMPILER_ID MATCHES "GNU")
  if(CMAKE_CXX_COMPILER_VERSION VERSION_LESS 8.0.0)
    message(FATAL_ERROR "GCC version 8 or better required.")
  endif()
elseif(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  if(CMAKE_CXX_COMPILER_VERSION VERSION_LESS 11.0.0)
    message(FATAL_ERROR "Clang version 11 or better required.")
  endif()
else()
  message(FATAL_ERROR "Unknown compiler.")
endif()

#
# Extract the MythTV source version number (either from Git, or from a file if
# the source has been exported out of git.)
#
include(SourceVersion)
mythtv_find_source_version(MYTHTV_SOURCE_VERSION MYTHTV_SOURCE_VERSION_MAJOR
                           MYTHTV_SOURCE_BRANCH)
message(STATUS "MythTV Source Version: ${MYTHTV_SOURCE_VERSION}")
message(STATUS "MythTV Source Branch: ${MYTHTV_SOURCE_BRANCH}")
if(NOT ${PROJECT_VERSION_MAJOR} EQUAL ${MYTHTV_SOURCE_VERSION_MAJOR})
  message(
    FATAL_ERROR "Major version number mismatch (cmake:${PROJECT_VERSION_MAJOR},"
                " source:.${MYTHTV_SOURCE_VERSION_MAJOR})")
endif()

#
# Is the install directory read-only
#
include(ReadOnlyTests)
ensure_dir_writable("Install" ${CMAKE_INSTALL_PREFIX})
ensure_dir_writable("Install" ${LIBS_INSTALL_PREFIX})

#
# Figure out the CPU count and parallel execution flags.  For a build of any
# given sub-project you can add "-- -j <n>" to the end of the build command to
# perform parallel builds.  This is an attempt to get the superbuild
# orchestration script to properly pass the parallel execution flags to all
# sub-builds.
#
ProcessorCount(CPU_COUNT)
if(NOT CPU_COUNT EQUAL 0)
  message(STATUS "This system has ${CPU_COUNT} CPU(s).")

  if(CMAKE_GENERATOR STREQUAL "Ninja")
    # Try not to kill older Raspberry Pis
    execute_process(
      COMMAND cat /proc/device-tree/model
      OUTPUT_VARIABLE MODEL
      ERROR_QUIET)
    if(MODEL MATCHES "Raspberry Pi (.)")
      if(${CMAKE_MATCH_1} LESS 4)
        set(CPU_COUNT 2)
      endif()
    endif()

    # Building with ninja, 'cmake --build build -j <n>' works properly for cmake
    # based projects, but not for make based projects.  Use this variable to
    # pass the cpu count into make based projects.
    set(MAKE_JFLAG -j${CPU_COUNT})

    # Tell ninja that it can execute as many parallel compile jobs as there are
    # CPUs, but it can only execute one link job at a time. This is probably
    # only necessary for small memory systems, but set it for all systems. Make
    # this a cache variable so that the user can override it from the command
    # line.
    set(CMAKE_JOB_POOLS
        "compile=${CPU_COUNT};link=1"
        CACHE STRING "Job counts for builds using ninja.")

    # Tell ninja that it can execute as many parallel jobs as there are CPUs.
    set(CTEST_BUILD_FLAGS -j${CPU_COUNT})
    set(ctest_test_args ${ctest_test_args} PARALLEL_LEVEL ${CPU_COUNT})
  else()
    # Building with unix makefiles, 'cmake --build build -j <n>' works properly.
  endif()
endif()

#
# Setup default search path for pkg-config files.
#
include(SetSearchPaths)

#
# Perform host and platform specific customizations.  These use variables
# generated by the GNUInstallDirs module, and the SetSearchPath module.
#
include(platform/${CMAKE_SYSTEM_NAME}${_CROSS}Customization OPTIONAL)

include(UpdatePkgConfig)

#
# Find required commands.
#
find_program(MAKE_EXECUTABLE NAMES gmake make REQUIRED)
message(VERBOSE "Found make: ${MAKE_EXECUTABLE}")
if(CMAKE_GENERATOR STREQUAL "Ninja")
  find_program(NINJA_EXECUTABLE NAMES ninja REQUIRED)
  message(VERBOSE "Found ninja: ${NINJA_EXECUTABLE}")
endif()
find_program(PATCH_EXECUTABLE NAMES patch REQUIRED)
message(VERBOSE "Found patch: ${PATCH_EXECUTABLE}")
if(CMAKE_CROSSCOMPILING)
  find_program(MESON_EXECUTABLE NAMES meson REQUIRED)
  message(VERBOSE "Found meson: ${MESON_EXECUTABLE}")
  find_program(MESON_EXECUTABLE NAMES gperf REQUIRED)
  message(VERBOSE "Found gperf: ${GPERF_EXECUTABLE}")
endif()

#
# Check compiler and installed header files
#
include(CompilerCaching)
include(SetCompilerOptions)

#
# Build a set of *.pc files for this platform.
#
include(platform/${CMAKE_SYSTEM_NAME}${_CROSS}BuildPkgConfigFiles OPTIONAL)

#
# For the next set of includes, update the CMDLINE_ARGS variable to change the
# install prefix to LIBS.  This will make the external cmake based projects
# install into LIBS.  The original value will need to be restored after the libs
# are built.
#
list(REMOVE_DUPLICATES CMDLINE_ARGS)
list(REMOVE_DUPLICATES PLATFORM_ARGS)
set(CMDLINE_ARGS_LIBS ${CMDLINE_ARGS})
list(APPEND CMDLINE_ARGS_LIBS
     "-DCMAKE_INSTALL_PREFIX:PATH=${LIBS_INSTALL_PREFIX}")
list(APPEND CMDLINE_ARGS "-DCMAKE_INSTALL_PREFIX:PATH=${CMAKE_INSTALL_PREFIX}"
     "-DLIBS_INSTALL_PREFIX:PATH=${LIBS_INSTALL_PREFIX}")

#
# Create targets for building subsets of the needed libraries.
#
add_custom_target(external_libs)
add_custom_target(embedded_libs)
if(ENABLE_STRICT_BUILD_ORDER)
  add_dependencies(embedded_libs external_libs)
endif()
add_custom_target(all_libs DEPENDS external_libs embedded_libs)
add_custom_target(libs DEPENDS all_libs)

#
# Find (or build) system libraries
#
if(CMAKE_CROSSCOMPILING)
  message(VERBOSE "Setting up sub-projects for the external dependencies.")
  # Build the dependencies that will be needed later to build MythTV.
  include(BuildExternalLibraries)
else()
  # Validate the dependencies that will be needed later to build MythTV itself.
  # Adding checks here causes cmake to "fail early" while running cmake on the
  # superbuild, instead of failing much later while running make/ninja to build
  # mythtv.
  include(CheckExternalLibraries)
endif()

#
# Debugging code
#
# Add "--log-level=VERBOSE" to the cmake command to generate this output.
#
message(VERBOSE "find_xxx related variables:")
list(APPEND CMAKE_MESSAGE_INDENT "  ")
message(VERBOSE "CMAKE_FIND_ROOT_PATH: ${CMAKE_FIND_ROOT_PATH}")
message(
  VERBOSE

=== libs/libmythbase/test/test_lcddevice/CMakeLists.txt ===
#
# Copyright (C) 2022-2023 David Hampton
#
# See the file LICENSE_FSF for licensing information.
#

add_executable(test_lcddevice test_lcddevice.cpp test_lcddevice.h)

target_include_directories(test_lcddevice PRIVATE . ../..)

target_link_libraries(test_lcddevice PUBLIC mythbase
                                            Qt${QT_VERSION_MAJOR}::Test)

add_test(NAME LCD COMMAND test_lcddevice)

=== libs/libmythbase/test/test_mythdate/CMakeLists.txt ===
#
# Copyright (C) 2022-2023 David Hampton
#
# See the file LICENSE_FSF for licensing information.
#

add_executable(test_mythdate test_mythdate.cpp test_mythdate.h)

target_include_directories(test_mythdate PRIVATE . ../..)

target_link_libraries(test_mythdate PUBLIC mythbase Qt${QT_VERSION_MAJOR}::Test)

add_test(NAME DateFormatting COMMAND test_mythdate)

=== libs/libmythbase/test/test_mythdbcon/CMakeLists.txt ===
#
# Copyright (C) 2022-2023 David Hampton
#
# See the file LICENSE_FSF for licensing information.
#

add_executable(test_mythdbcon test_mythdbcon.cpp test_mythdbcon.h)

target_include_directories(test_mythdbcon PRIVATE . ../.. ../../..)

target_link_libraries(test_mythdbcon PUBLIC mythbase
                                            Qt${QT_VERSION_MAJOR}::Test)

add_test(NAME DatabaseEscaping COMMAND test_mythdbcon)

=== libs/libmythmetadata/test/test_lyrics/CMakeLists.txt ===
#
# Copyright (C) 2022-2023 David Hampton
#
# See the file LICENSE_FSF for licensing information.
#

add_executable(test_lyrics test_lyrics.cpp test_lyrics.h)

target_include_directories(test_lyrics PRIVATE . ../..)

target_compile_definitions(
  test_lyrics PRIVATE TEST_SOURCE_DIR="${CMAKE_CURRENT_SOURCE_DIR}")

target_link_libraries(test_lyrics PUBLIC mythmetadata
                                         Qt${QT_VERSION_MAJOR}::Test)

add_test(NAME Lyrics COMMAND test_lyrics)

=== programs/mythfrontend/test/test_videolist/CMakeLists.txt ===
#
# Copyright (C) 2022-2023 David Hampton
#
# See the file LICENSE_FSF for licensing information.
#

if(NOT TARGET SQLite::SQLite3)
  message(
    WARNING "Can't build test for RecordingExtender feature. Missing SQLite3.")
endif()

add_executable(
  test_videolist ../../upnpscanner.cpp ../../videofilter.cpp
                 ../../videolist.cpp test_videolist.cpp test_videolist.h)

target_include_directories(test_videolist PRIVATE . ../..)

target_link_libraries(test_videolist PUBLIC mythmetadata
                                            Qt${QT_VERSION_MAJOR}::Test)

add_test(NAME VideoList COMMAND test_videolist)

=== debian/changelog ===
mythtv (2:35.0+fixes.20250302.f3f012aa3f-0ubuntu6) resolute; urgency=medium

  * Rebuild against latest libbluray

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 19 Oct 2025 13:51:14 -0400

mythtv (2:35.0+fixes.20250302.f3f012aa3f-0ubuntu5) resolute; urgency=medium

  * Rebuild against new libx264-165.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 18 Oct 2025 19:45:09 +0200

mythtv (2:35.0+fixes.20250302.f3f012aa3f-0ubuntu4) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 May 2025 12:18:34 +0200

mythtv (2:35.0+fixes.20250302.f3f012aa3f-0ubuntu3) plucky; urgency=medium

  * No-change rebuild for flac.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 14 Mar 2025 22:38:21 -0500

mythtv (2:35.0+fixes.20250302.f3f012aa3f-0ubuntu2) plucky; urgency=medium

  * Disable QtWebKit5 support and the Browser plugin (LP: #2100639).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 05 Mar 2025 00:02:23 -0600

mythtv (2:35.0+fixes.20250302.f3f012aa3f-0ubuntu1) plucky; urgency=medium

  * Scripted Build from fixes git packaging [ae1210e8]
  * New upstream checkout (f3f012aa3f)

 -- Mario Limonciello <superm1@gmail.com>  Sun, 02 Mar 2025 21:27:28 -0600

mythtv (2:35.0+fixes) noble; urgency=medium

  * Dummy entry to bump version to fixes/35

 -- Roland Ernst <rcrernst@gmail.com>  Thu, 13 Feb 2025 20:15:49 +0100

mythtv (2:35.0~master) noble; urgency=medium

  * Switch desktop to use the Web App rather than mythtv-setup

 -- Bill Meek <bmeek@mythtv.org>  Mon, 27 Jan 2025 19:01:23 -0600

mythtv (2:35.0~master) mantic; urgency=medium

  * Dummy entry to bump version to 35

 -- Roland Ernst <rcrernst@gmail.com>  Tue, 13 Feb 2024 21:15:49 +0100
